Set template attachment placeholders
curl --request PUT \
--url https://restapi.sign.plus/v2/template/{template_id}/attachments/placeholders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"placeholders": [
{
"recipient_id": "<string>",
"name": "<string>",
"required": true,
"multiple": true,
"id": "<string>",
"hint": "<string>"
}
]
}
'import requests
url = "https://restapi.sign.plus/v2/template/{template_id}/attachments/placeholders"
payload = { "placeholders": [
{
"recipient_id": "<string>",
"name": "<string>",
"required": True,
"multiple": True,
"id": "<string>",
"hint": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
placeholders: [
{
recipient_id: '<string>',
name: '<string>',
required: true,
multiple: true,
id: '<string>',
hint: '<string>'
}
]
})
};
fetch('https://restapi.sign.plus/v2/template/{template_id}/attachments/placeholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settings": {
"visible_to_recipients": true
},
"recipients": [
{
"recipient_id": "<string>",
"recipient_name": "<string>",
"placeholders": [
{
"recipient_id": "<string>",
"id": "<string>",
"name": "<string>",
"hint": "<string>",
"required": true,
"multiple": true,
"files": [
{
"id": "<string>",
"name": "<string>",
"size": 123,
"mimetype": "<string>"
}
]
}
]
}
]
}Template
Set template attachment placeholders
Placeholders to be set, completely replacing the existing ones.
PUT
/
template
/
{template_id}
/
attachments
/
placeholders
Set template attachment placeholders
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I